> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get all published assets of a space GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/public/assets Retrieves the published versions of all assets in a space. Reference: https://contentful.com/developers/docs/references/content-management-api/assets/get-all-published-assets-of-a-space ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the Space in form of a string - `environment_id` (string, required) — ID of the environment in form of a string ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "items": [], "limit": 100, "skip": 0, "sys": { "type": "Array" }, "total": 0 } ``` **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); // Currently this has no direct sdk support, please // take a look at this workaround on client side. client .assets() .async() .fetchAll( new CMACallback>() { @Override protected void onSuccess(CMAArray array) { List published = new LinkedList<>(); for (final CMAAsset asset : array.getItems()) { if (asset.isPublished()) { published.add(asset); } } // Your published items will be stored in `published`. new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("Listing all published Assets done." + "\n\nResult: " + published) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not find all published assets." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); // Currently this has no direct sdk support, please // take a look at this workaround: // Fetch all assets. final CMAArray array = client .assets() .fetchAll(); // Filter client side the result. final List published = new ArrayList<>(); for (final CMAAsset asset : array.getItems()) { if (asset.isPublished()) { published.add(asset); } } // Do something with published. ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() // Currently this has no direct sdk support, please // take a look at this workaround: // Fetch all assets. val array = client .assets() .fetchAll() // Filter client side the result. val published = ArrayList() for (asset in array.items) { if (asset.isPublished!!) { published.add(asset) } } // Do something with published. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.getEnvironment('')) .then((environment) => environment.getPublishedAssets({'content_type': 'foo'})) // you can add more queries as 'key': 'value' .then((response) => console.log(response.items)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const entries = client.asset.getPublished({ spaceId: '', environmentId: '', contentTypeId: '', }); ``` ```php PHP // This is not supported ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') const asset = client.assets.all_published('') ``` ```python Python # This is not supported ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); var publishedAssets = await client.GetPublishedAssetsCollection(); ```